# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/watchdog/marvell,armada-3700-wdt.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Armada 37xx CPU Watchdog Timer Controller

maintainers:
  - Marek Behún <kabel@kernel.org>

properties:
  compatible:
    const: marvell,armada-3700-wdt

  reg:
    maxItems: 1

  clocks:
    maxItems: 1

  marvell,system-controller:
    description: Reference to syscon node for the CPU Miscellaneous Registers
    $ref: /schemas/types.yaml#/definitions/phandle

required:
  - compatible
  - reg
  - clocks
  - marvell,system-controller

additionalProperties: false

examples:
  - |
    watchdog@8300 {
        compatible = "marvell,armada-3700-wdt";
        reg = <0x8300 0x40>;
        marvell,system-controller = <&cpu_misc>;
        clocks = <&xtalclk>;
    };
